[Emacs]Emacs24.1をUbuntuにインストールする

LINEで送る
Pocket

Emacs24.1が出たので,Ubuntu12.04LTSにインストールしてみました.

ダウンロード

近くのGNUのミラーサイトからemacs-24.1.tar.bz2をダウンロードしてください.

私は,Index of /pub/GNU からダウンロードしました.

ダウンロードしたら適当なところで展開します.

コンパイルに必要なソフトのインストール

展開したディレクトリemacs-24.1の中にあるINSTALLを読みます.

まず,

./configure

とコマンドを打ちます.すると,Xのツールキットがないとエラーメッセージが出てきます.

INSTALLによるとGtk+は2.6以上が必要と書いてあるので,インストールします.

$ sudo apt-get install libgtk2-dev

再度,コマンドを打ちます.

./configure

これで,gtk関連のエラーは出なくなります.

次に出てきたエラーが画像関連のライブラリがないというエラーなので

sudo apt-get install libXpm-dev libjpeg-dev libgif-dev libtiff4-dev

とコマンドを打ち,ライブラリをインストールします.

今度は,tputsを含んでいるライブラリがないとエラーが出るので,

sudo apt-get install libncurses5-dev

と打ち込みます.

コンパイル

$ make

と打ちこみます.

インストール

$ sudo make install

configureオプション等INSTALLにいろいろ書いてあるので設定したい人は読んでみてください.

まとめ

以上のコマンドをまとめておきます.

$ sudo apt-get install libgtk2-dev libXpm-dev libjpeg-dev libgif-dev libtiff4-dev libncurses5-dev
$ ./configure
$ make
$ sudo make install

LINEで送る
Pocket

SNSでもご購読できます。